# $Revision: 1.32 $, $Date: 2001/11/24 01:03:03 $
Summary:	Moon phases info for Window Maker/AfterStep
Summary(pl):	Informacja o fazach ksiyca dla WindowMakera/AfterStepa
Name:		wmMoonClock
Version:	1.27
Release:	2
License:	GPL
Group:		X11/Window Managers/Tools
Group(de):	X11/Fenstermanager/Werkzeuge
Group(pl):	X11/Zarzdcy Okien/Narzdzia
Source0:	http://nis-www.lanl.gov/~mgh/WindowMaker/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Icon:		wmMoonClock.gif
URL:		http://nis-www.lanl.gov/~mgh/WindowMaker/DockApps.shtml
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_prefix		/usr/X11R6
%define 	_mandir 	%{_prefix}/man

%description
wmMoonClock displays the current phase of the moon. Window Maker and
AfterStep dockable but not necessary.

%description -l pl
wmMoonClock wywietla aktualn faz ksiyca. Dokowalny w
WindowMakerze i AfterStepie, lecz nie jest to koniecznie.

%prep
%setup -q 

%build
%{__make} -C Src \
	CFLAGS="%{rpmcflags} -I%{_includedir}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1} \
        $RPM_BUILD_ROOT%{_applnkdir}/DockApplets

install Src/%{name} $RPM_BUILD_ROOT%{_bindir}
install Src/%{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1

#install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/DockApplets

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/*
#%{_applnkdir}/DockApplets/wmMoonClock.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: wmMoonClock.spec,v $
Revision 1.32  2001/11/24 01:03:03  kloczek
- commented install desktop file.

Revision 1.31  2001/11/23 23:04:40  blues
- release 2
- adapterized

Revision 1.30  2001/11/21 01:46:33  blues
- cosmetics

Revision 1.29  2001/05/03 01:14:05  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.28  2000/11/12 16:58:51  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.27  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.26  2000/04/01 11:15:57  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.25  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.24  1999/11/27 02:59:15  pius
- added using more rpm macros
- cosmetics

Revision 1.23  1999/09/04 09:44:02  pius
- cosmetics

Revision 1.22  1999/09/04 09:02:32  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.21  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.20  1999/07/12 23:06:21  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon May 24 1999 Piotr Czerwiski <pius@pld.org.pl> 
  [1.26-1]
- updated to 1.26,
- removed wmMoonClock-man.patch,
- some cleanups.

* Mon May 17 1999 Piotr Czerwiski <pius@pld.org.pl>
  [1.1-4]
- package is FHS 2.0 compliant,
- based on spec file written by Yeechang Lee <ylee@columbia.edu>,
  rewritten for PLD use by me, Artur Frysiak <wiget@pld.org.pl>
  and Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>.
